Commit Graph

14 Commits

Author SHA1 Message Date
Fabrice Fontaine
d295c20ae5 package/libidn2: bump to version 2.3.7
https://gitlab.com/libidn/libidn2/-/blob/v2.3.7/NEWS

Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com>
Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
2024-04-03 21:44:58 +02:00
Fabrice Fontaine
a9e5b0255d package/libidn2: fix build with libunistring
Fix the following build failure with libunistring raised since the
addition of the package in commit
ffb85a4a16:

/home/autobuild/autobuild/instance-2/output-1/per-package/libidn2/host/bin/../lib/gcc/aarch64-buildroot-linux-gnu/11.3.0/../../../../aarch64-buildroot-linux-gnu/bin/ld: warning: libunistring.so.2, needed by ../lib/.libs/libidn2.so, not found (try using -rpath or -rpath-link)
/home/autobuild/autobuild/instance-2/output-1/per-package/libidn2/host/bin/../lib/gcc/aarch64-buildroot-linux-gnu/11.3.0/../../../../aarch64-buildroot-linux-gnu/bin/ld: ../lib/.libs/libidn2.so: undefined reference to `u8_strconv_to_encoding'

[...]

aarch64-buildroot-linux-gnu-gcc: ERROR: unsafe header/library path used in cross-compilation: '-L/usr/lib'

Fixes:
 - http://autobuild.buildroot.org/results/30ac50512cd4b4cb3ecc97514a72d1f316a1b33a
 - http://autobuild.buildroot.org/results/c225ff4ef007b9a3ca56e6b601687aaa33699675

Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com>
Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
2022-11-03 23:04:21 +01:00
Fabrice Fontaine
c321a08ad4 package/libidn2: bump to version 2.3.4
https://gitlab.com/libidn/libidn2/-/blob/v2.3.4/NEWS

Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com>
Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
2022-10-30 11:53:58 +01:00
Fabrice Fontaine
f559c25f98 package/libidn2: bump to version 2.3.3
https://gitlab.com/libidn/libidn2/-/blob/v2.3.3/NEWS

Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com>
Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
2022-09-21 22:19:00 +02:00
Fabrice Fontaine
b4aa04121d package/libidn2: bump to version 2.3.2
https://gitlab.com/libidn/libidn2/-/blob/v2.3.2/NEWS

Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com>
Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
2021-07-28 21:05:13 +02:00
Fabrice Fontaine
94db182fca package/libidn2: bump to version 2.3.1
Update indentation in hash file (two spaces)

https://gitlab.com/libidn/libidn2/-/blob/v2.3.1/NEWS

Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com>
Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
2021-07-19 23:03:04 +02:00
Fabrice Fontaine
981850b353 package/libidn2: add LIBIDN2_CPE_ID_VENDOR
cpe:2.3:a:gnu:libidn2 is a valid CPE identifier for this package:

  https://nvd.nist.gov/products/cpe/search/results?namingFormat=2.3&keyword=cpe%3A2.3%3Aa%3Agnu%3Alibidn2

Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com>
Signed-off-by: Yann E. MORIN <yann.morin.1998@free.fr>
2021-05-16 18:30:45 +02:00
Fabrice Fontaine
a25e67fe87 package/libidn2: bump to version 2.3.0
Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com>
Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
2019-11-23 21:38:57 +01:00
Yann E. MORIN
d9bf7d3118 package/libidn2: get rid of remnants of using := in LICENSE
There is no longer any reason to assign to LICENSE using an
immediate assignment. There was even no reason to use it
either in the first assignment.

Drop it.

Signed-off-by: Yann E. MORIN <yann.morin.1998@free.fr>
Signed-off-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be>
2019-10-27 10:35:06 +01:00
Yann E. MORIN
f295ad4cb0 package/*: do not override LICENSE, but append to it
Now that the infra takes care of removing extraneous spaces before
commas, we can safely append to LICENSE variables.

This removes the only case where we had to use immediate assignment
to append to a variable.

Mechanical change, with:

    $ sed -r -i -e 's/\<([^[:space:]]+_LICENSE) := \$\(\1\),/\1 += ,/' \
        $(git grep -l -E '\<([^[:space:]]+_LICENSE) := \$\(\1\),')

Signed-off-by: Yann E. MORIN <yann.morin.1998@free.fr>
Signed-off-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be>
2019-10-27 10:35:06 +01:00
Fabrice Fontaine
4455af3f7f package/libidn2: bump to version 2.2.0
Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com>
Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
2019-06-20 16:01:17 +02:00
Fabrice Fontaine
f604f10119 libidn2: bump to version 2.1.0
Update hash for COPYING because a typo was fixed:
de46ee648a

Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com>
Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
2019-01-15 21:21:48 +01:00
Fabrice Fontaine
7c2aaa8498 libidn2: bump to version 2.0.5
Fix a small typo in the first comment line of libidn2.hash

Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com>
Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
2018-09-05 21:37:59 +02:00
Fabrice Fontaine
ffb85a4a16 libidn2: new package
Libidn2 is an implementation of the IDNA2008 + TR46
specifications (RFC 5890, RFC 5891, RFC 5892, RFC 5893,
TR 46).

http://www.gnu.org/software/libidn/

Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com>
[Thomas:
 - Use positive logic to test the BR2_PACKAGE_LIBIDN2_BINARY
   condition.
 - Put the definition of LIBIDN2_REMOVE_BINARY inside the
   BR2_PACKAGE_LIBIDN2_BINARY condition, as suggested by Arnout.
 - Adjust license details: library is under GPL-2.0+ or LGPL-3.0+,
   while the command line tool is under GPL-3.0+.]
Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
2018-05-20 16:01:28 +02:00